<moe-page-header [title]="'PAGES.ADVANCED_SEARCH.TITLE' | transloco" />

<div [formGroup]="searchService.filters" class="search">
  <moe-search-input
    [placeholder]="'PAGES.ADVANCED_SEARCH.SEARCH_BAR_PLACEHOLDER' | transloco"
    formControlName="searchTerm"
  />

  <button (click)="toggleShowFilters()" mat-stroked-button>
    <mat-icon>{{ filterBtnSettings().icon }}</mat-icon>
    {{ filterBtnSettings().text | transloco }}
  </button>
</div>

<moe-search-filters
  class="search-filters"
  [@expandFilters]="animationState()"
/>

<div class="search-actions">
  <button (click)="search()" color="primary" mat-flat-button>
    {{ 'PAGES.ADVANCED_SEARCH.SEARCH_BTN' | transloco }}
  </button>

  <button
    (click)="resetFilters()"
    [disabled]="searchService.filtersEmpty()"
    color="warn"
    mat-flat-button
  >
    {{ 'PAGES.ADVANCED_SEARCH.RESET_FILTERS_BTN' | transloco }}
  </button>
</div>

@if (showLoader()) {
<mat-spinner class="mx-auto" [diameter]="45" />
} @else {
<moe-manga-grid-list [manga]="manga()" />
}

<mat-paginator
  [pageSize]="PAGE_SIZE"
  class="mat-elevation-z1"
  hidePageSize
  showFirstLastButtons
/>
